# -*- mode: ruby -*-
# vi: set ft=ruby :


Vagrant.configure("2") do |config|

  config.vm.box = "hibox/focal64"

  config.vm.box_check_update = false
  
  ## This is the latest box version as of 19/01/2022
  ## Box versions are available here: https://app.vagrantup.com/hibox/boxes/focal64
  config.vm.box_version = "1.0.1639726498"

  config.vm.provider 'lxd' do |lxd|
    lxd.api_endpoint = 'https://127.0.0.1:8443'
    lxd.timeout = 10
    lxd.name = 'your-container-name'
    # lxd.nesting = nil
    # lxd.privileged = nil
    # lxd.ephemeral = false
    # lxd.profiles = ['default']
    # lxd.environment = {}
    # lxd.config = {}
  end
  
  config.vm.provision :shell, path: "provision.sh" 
 
end

